Subject: Re: What's cooking in git.git (May 2022, #01; Mon, 2)

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 May 2022 09:18:47 -0700

Derrick Stolee <[email-masked]> writes:

> On 5/2/2022 6:27 PM, Junio C Hamano wrote:
>
>> * ds/sparse-colon-path (2022-04-26) 5 commits
>>  - rev-parse: integrate with sparse index
>>  - object-name: diagnose trees in index properly
>>  - object-name: reject trees found in the index
>>  - show: integrate with the sparse index
>>  - t1092: add compatibility tests for 'git show'
>> 
>>  "git show :<path>" learned to work better with the sparse-index
>>  feature.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I think this is stable and ready to go. Unless anyone else wanted to
> take a stab at reviewing it. I think we've got good eyes on it already.

Thanks.  I read over the conversions and they all looked sensible.

>> * en/sparse-cone-becomes-default (2022-04-21) 9 commits
>>  - Documentation: some sparsity wording clarifications
>>  - git-sparse-checkout.txt: mark non-cone mode as deprecated
>>  - git-sparse-checkout.txt: flesh out pattern set sections a bit
>>  - git-sparse-checkout.txt: add a new EXAMPLES section
>>  - git-sparse-checkout.txt: shuffle some sections and mark as internal
>>  - git-sparse-checkout.txt: update docs for deprecation of 'init'
>>  - git-sparse-checkout.txt: wording updates for the cone mode default
>>  - sparse-checkout: make --cone the default
>>  - tests: stop assuming --no-cone is the default mode for sparse-checkout
>> 
>>  Deprecate non-cone mode of the sparse-checkout feature.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> This has been quite stable and I'd like to see it merge early in the
> release cycle in case that catches anything during local testing.

This one I am not worried about stability all that much; I am more
worried about breaking those who do not believe in "cone is the
future" and managing their expectations.

Thanks.